org.apache.solr.common.cloud

## Class SaslZkACLProvider

- java.lang.Object
- - org.apache.solr.common.cloud.SecurityAwareZkACLProvider
  - - org.apache.solr.common.cloud.SaslZkACLProvider

All Implemented Interfaces:
  ZkACLProvider

    public class SaslZkACLProvider
    extends SecurityAwareZkACLProvider

ZkACLProvider that gives all permissions for the user specified in System property "solr.authorization.superuser" (default: "solr") when using sasl, and gives read permissions for anyone else. Designed for a setup where configurations have already been set up and will not be modified, or where configuration changes are controlled via Solr APIs.

### Field Summary

### Fields inherited from class org.apache.solr.common.cloud.SecurityAwareZkACLProvider

`SECURITY_ZNODE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`SaslZkACLProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<org.apache.zookeeper.data.ACL>` `createNonSecurityACLsToAdd()`
`protected List<org.apache.zookeeper.data.ACL>` `createSecurityACLsToAdd()`

### Methods inherited from class org.apache.solr.common.cloud.SecurityAwareZkACLProvider

`getACLsToAdd, isSecurityZNodePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SaslZkACLProvider

    public SaslZkACLProvider()

### Method Detail

#### createNonSecurityACLsToAdd

    protected List<org.apache.zookeeper.data.ACL> createNonSecurityACLsToAdd()

Specified by:
  `createNonSecurityACLsToAdd` in class `SecurityAwareZkACLProvider`
Returns:
  Set of ACLs to return for non-security related znodes

#### createSecurityACLsToAdd

    protected List<org.apache.zookeeper.data.ACL> createSecurityACLsToAdd()

Specified by:
  `createSecurityACLsToAdd` in class `SecurityAwareZkACLProvider`
Returns:
  Set of ACLs to return security-related znodes